declare module '@mui/material/styles/createPalette' {
    interface PaletteColor {
        white?: string;
    }
    interface SimplePaletteColorOptions {
        white?: string;
    }
    interface TypeSidebar {
        text?: string;
        background?: string;
    }
    interface TypeBrands {
        paypal?: string;
        stripe?: string;
    }
    interface TypeBorder {
        ui?: string;
        layout?: string;
        dark?: string;
    }
    interface TypeTodo {
        main?: string;
        background?: string;
    }
    interface TypeCompleted {
        main?: string;
        background?: string;
    }
    interface Palette {
        sidebar: TypeSidebar;
        brands: TypeBrands;
        border: TypeBorder;
        todo: TypeTodo;
    }
    interface PaletteOptions {
        sidebar?: TypeSidebar;
        brands?: TypeBrands;
        border?: TypeBorder;
        completed?: TypeCompleted;
    }
}
export declare const SB_THEME: {
    palette: {
        text: {
            primary: string;
            secondary: string;
            disabled: string;
            white: string;
            heading: string;
        };
        sidebar: {
            text: string;
            background: string;
        };
        todo: {
            main: string;
            background: string;
        };
        completed: {
            main: string;
            background: string;
        };
        error: {
            main: string;
        };
        warning: {
            main: string;
        };
        success: {
            main: string;
        };
        brands: {
            stripe: string;
            paypal: string;
        };
        border: {
            ui: string;
            layout: string;
            dark: string;
        };
    };
    shadows: string[];
    typography: {
        allVariants: {
            color: string;
        };
        fontFamily: string;
        h1: {
            fontSize: string | null;
            fontWeight: number;
            letterSpacing: string;
        };
        h2: {
            letterSpacing: string;
        };
        h3: {
            fontSize: string | null;
            fontWeight: number;
            letterSpacing: string;
        };
        h4: {
            fontSize: string | null;
            fontWeight: number;
        };
        subtitle1: {
            fontSize: string | null;
            fontWeight: number;
            letterSpacing: string;
        };
        body1: {
            fontSize: string;
            letterSpacing: string;
        };
        body2: {
            fontSize: string | null;
            letterSpacing: string;
        };
        overline: {
            display: string;
            textTransform: string;
        };
    };
    components: {
        MuiChip: {
            styleOverrides: {
                color: string;
                icon: {
                    color: string;
                };
            };
        };
        MuiStep: {
            styleOverrides: {
                root: {
                    paddingRight: string | null;
                    paddingLeft: string | null;
                };
            };
        };
        MuiStepLabel: {
            styleOverrides: {
                root: {
                    whiteSpace: string;
                };
            };
        };
        MuiStepIcon: {
            styleOverrides: {
                root: {
                    width: string | null;
                };
            };
        };
        MuiButton: {
            styleOverrides: {
                root: {
                    textTransform: string;
                    boxShadow: string;
                    '&:hover': {
                        boxShadow: string;
                    };
                };
            };
        };
        MuiFormLabel: {
            styleOverrides: {
                root: {
                    color: string;
                    fontSize: string | null;
                    fontWeight: number;
                    '&.Mui-focused': {
                        color: string;
                    };
                };
            };
        };
        MuiFormHelperText: {
            styleOverrides: {
                root: {
                    fontSize: string | null;
                    lineHeight: string | null;
                    letterSpacing: number;
                    margin: number;
                };
            };
        };
        MuiPopover: {
            styleOverrides: {
                root: {
                    '&.MuiMenu-root': {
                        zIndex: string;
                    };
                };
            };
        };
        MuiOutlinedInput: {
            styleOverrides: {
                root: {
                    '& .MuiOutlinedInput-input': {
                        padding: string;
                        border: string;
                        '& ~ .MuiOutlinedInput-notchedOutline': {
                            borderWidth: string;
                        };
                        '&:focus, &:focus-visible': {
                            outline: string;
                            boxShadow: string;
                        };
                        '&:focus ~ .MuiOutlinedInput-notchedOutline, &:focus-visible ~ .MuiOutlinedInput-notchedOutline': {
                            borderColor: string;
                        };
                        '&.Mui-disabled': {
                            backgroundColor: string;
                            borderColor: string;
                            '& ~ .MuiOutlinedInput-notchedOutline': {
                                backgroundColor: string;
                                borderColor: string;
                            };
                        };
                    };
                    '& ~ .MuiFormHelperText-root.Mui-error': {
                        position: string;
                        top: string;
                        right: number;
                        marginTop: number;
                    };
                    '& .MuiSelect-icon': {
                        backgroundImage: string;
                        backgroundPosition: string;
                        backgroundRepeat: string;
                        right: string;
                        path: {
                            display: string;
                        };
                    };
                };
            };
        };
    };
};
//# sourceMappingURL=theme.d.ts.map