import React from 'react';
import { FtcScreenDataInterface, FtcFormItemsInterface } from '@ftc/data/first-time-configuration-screen-data';
export interface FtcProviderContextInterface {
    ftcState: FtcScreenDataInterface;
    setFormValue: (prop: keyof FtcFormItemsInterface, value: string) => void;
    submitForm: (isNextLookAndFeel?: boolean) => void;
    resetFormValue: (prop: keyof FtcFormItemsInterface) => void;
    setIsLoading: (isLoading: boolean) => void;
    setLogoValue: (id: string, url: string) => void;
    validateUsernamePassword: (usernameIsValid: boolean, passwordIsValid: boolean) => void;
}
export interface FtcUsernamePasswordInterface {
    username: string | null;
    password: string | null;
}
export declare const FirstTimeConfigurationContext: React.Context<FtcProviderContextInterface | FtcScreenDataInterface | null>;
declare const FirstTimeConfigurationProvider: ({ children }: {
    children: React.ReactNode;
}) => JSX.Element;
export default FirstTimeConfigurationProvider;
//# sourceMappingURL=FirstTimeConfigurationProvider.d.ts.map