import React from 'react';
import { GoLiveInterface } from '@sb/wizards/go-live/data/go-live-data';
export interface GoLiveProviderContextInterface {
    goLiveState: GoLiveInterface;
    setGoLiveState: React.Dispatch<React.SetStateAction<GoLiveInterface>>;
    submitGoLiveForm: () => void;
    submitDomainVerification: () => void;
    handleDomainVerificationRequest: () => void;
    setIsLoading: (loading: boolean) => void;
    getHasDomainNextText: (hasDomain: string) => void;
    setHasDomain: (hasDomain: string) => void;
    setShowPurchaseNavigation: (show: boolean) => void;
}
export interface DomainVerficationSuccessInterface {
    domain: string;
    is_registered: boolean;
    is_pointed: boolean;
    uses_local_nameservers: boolean;
    can_setup: boolean;
    nameservers: string[];
}
export interface DomainVerificationErrorInterface {
    code: string;
    message: string;
}
export declare const GoLiveContext: React.Context<GoLiveProviderContextInterface | null>;
declare const GoLiveProvider: ({ children }: {
    children: React.ReactNode;
}) => JSX.Element;
export default GoLiveProvider;
//# sourceMappingURL=GoLiveProvider.d.ts.map