import React from 'react';
export interface WizardProviderStateInterface {
    lastStep: number | null;
    isLastStep: boolean;
    hideExit: boolean;
    showCloseWarning: boolean | null;
    activeDevice: string;
    hasStepped: boolean;
}
export interface WizardProviderContextInterface {
    wizardState: WizardProviderStateInterface;
    currentStep: number;
    goToStep: (targetStep: number) => void;
    goToNextStep: () => void;
    goToPreviousStep: () => void;
    closeAll: () => void;
    setShowCloseWarning: (showCloseWarning: boolean) => void;
    setHideExit: (hideExit: boolean) => void;
    setActiveDevice: (device: string) => void;
}
export declare const WizardContext: React.Context<WizardProviderContextInterface | null>;
declare const WizardProvider: ({ children }: {
    children: React.ReactNode;
}) => JSX.Element;
export default WizardProvider;
//# sourceMappingURL=WizardProvider.d.ts.map